Bug 1215800 - Please install symbolic icons
Summary: Please install symbolic icons
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 22
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F22FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2015-04-27 18:43 UTC by Michael Catanzaro
Modified: 2016-09-04 08:33 UTC (History)
11 users (show)

Fixed In Version: libreoffice-4.4.3.2-4.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-19 00:00:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael Catanzaro 2015-04-27 18:43:15 UTC
Description of problem: For Fedora 22, all applications installed by default need to have symbolic icons, since symbolic icons are used for the app menu.

Version-Release number of selected component (if applicable): 4.4.2.2-1.fc22 has no symbolic icons

Jakub Steiner made icons for LibreOffice. Please install them to {_datadir}/icons/hicolor/symbolic/apps:

https://raw.githubusercontent.com/gnome-design-team/gnome-icons/master/apps-symbolic/Adwaita/scalable/apps/libreoffice-base-symbolic.svg

https://raw.githubusercontent.com/gnome-design-team/gnome-icons/master/apps-symbolic/Adwaita/scalable/apps/libreoffice-calc-symbolic.svg

https://raw.githubusercontent.com/gnome-design-team/gnome-icons/master/apps-symbolic/Adwaita/scalable/apps/libreoffice-draw-symbolic.svg

https://raw.githubusercontent.com/gnome-design-team/gnome-icons/master/apps-symbolic/Adwaita/scalable/apps/libreoffice-impress-symbolic.svg

https://raw.githubusercontent.com/gnome-design-team/gnome-icons/master/apps-symbolic/Adwaita/scalable/apps/libreoffice-main-symbolic.svg

https://raw.githubusercontent.com/gnome-design-team/gnome-icons/master/apps-symbolic/Adwaita/scalable/apps/libreoffice-math-symbolic.svg

https://raw.githubusercontent.com/gnome-design-team/gnome-icons/master/apps-symbolic/Adwaita/scalable/apps/libreoffice-writer-symbolic.svg

As a bonus, if you can get these upstream, we can delete the high contrast LibreOffice icons in gnome-themes-standard, since they're replaced by these symbolic icons.

Thank you, and apologies for waiting so late to file this.

Comment 1 Caolan McNamara 2015-05-04 19:24:31 UTC
caolanm->dtardon: can you figure out where exactly in upstream sysui these should go.

Comment 2 Fedora Blocker Bugs Application 2015-05-12 15:10:40 UTC
Proposed as a Freeze Exception for 22-final by Fedora user catanzaro using the blocker tracking app because:

 We're aiming for all apps installed by default in Fedora Workstation to have symbolic icons for the final release. A freeze exception to get this out would be dandy, thanks.

Comment 3 Stephen Gallagher 2015-05-13 20:58:18 UTC
Adding new static image files is quite low-risk, and the advantage for a11y is obvious. +1 FE from me.

Comment 4 Kamil Páral 2015-05-14 18:05:47 UTC
Discussed at the 2015-05-14 blocker review meeting.[1] Voted as AcceptedFreezeException - this is a low-risk change and would improve the visual consistency of the workstation live environment (and help users who actually need high-contrast icons, too)

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2015-05-14

Comment 5 Kalev Lember 2015-05-17 16:19:33 UTC
I did a libreoffice-4.4.3.2-4.fc22 build that adds the symbolic icons, but would be great if someone could submit them upstream as well.

Comment 6 Fedora Update System 2015-05-17 17:38:40 UTC
libreoffice-4.4.3.2-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/libreoffice-4.4.3.2-4.fc22

Comment 7 Fedora Update System 2015-05-18 09:05:21 UTC
Package libreoffice-4.4.3.2-4.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.4.3.2-4.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8441/libreoffice-4.4.3.2-4.fc22
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-05-19 00:00:18 UTC
libreoffice-4.4.3.2-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Jeremy Bicha 2016-09-04 08:33:52 UTC
Were these icons ever forwarded to LibreOffice?


Note You need to log in before you can comment on or make changes to this bug.